DistributedLockServiceMXBean (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.management, interface: DistributedLockServiceMXBean

Package org.apache.geode.management

# Interface DistributedLockServiceMXBean

public interface DistributedLockServiceMXBean
MBean that provides access to information for a named instance of `DistributedLockService`. Since any number of DistributedLockService objects can be created by a member there may be 0 or more instances of this MBean available.

Since:
  GemFire 7.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `fetchGrantorMember()`
  Returns the name of the member which grants the lock.
  `int`
  `getMemberCount()`
  Returns the number of members using this LockService.
  `String[]`
  `getMemberNames()`
  Returns a list of names of the members using this LockService.
  `String`
  `getName()`
  Returns the name of the LockService.
  `String[]`
  `listHeldLocks()`
  Returns a list of names of the locks held by this member's threads.
  `Map<String,String>`
  `listThreadsHoldingLock()`
  Returns a map of the names of the objects being locked on and the names of the threads holding the locks.

- ## Method Details

  - ### getName

    String getName()
    Returns the name of the LockService.
    Returns:
      the name of the LockService

  - ### getMemberCount

    int getMemberCount()
    Returns the number of members using this LockService.
    Returns:
      the number of members using this LockService

  - ### fetchGrantorMember

    String fetchGrantorMember()
    Returns the name of the member which grants the lock.
    Returns:
      the name of the member which grants the lock

  - ### getMemberNames

    String[] getMemberNames()
    Returns a list of names of the members using this LockService.
    Returns:
      an array of names of the members using this LockService

  - ### listThreadsHoldingLock

    Map<String,String> listThreadsHoldingLock()
    Returns a map of the names of the objects being locked on and the names of the threads holding the locks.
    Returns:
      a map of the names of the objects being locked on and the names of the threads holding the locks

  - ### listHeldLocks

    String[] listHeldLocks()
    Returns a list of names of the locks held by this member's threads.
    Returns:
      an array of names of the locks held by this member's threads